Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

C#
Visual Basic
Visual C++
Include Protected Members
Include Inherited Members

Berkeley DB .NET API Documentation
CompactData Members
CompactData Class Methods Properties See Also Send Feedback

The CompactData type exposes the following members.

# Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| ToString | Returns a String that represents the current Object. (Inherited from Object.)

# Properties

| Name | Description
--- | --- | ---
| Deadlocks | If no Transaction parameter was specified, the number of deadlocks which occurred.
| EmptyBuckets | The number of empty hash buckets that were found in the compaction phase.
| End | The database key marking the end of the compaction operation. This is generally the first key of the page where the operation stopped and is only non-null if returnEnd was true.
| Levels | The number of levels removed from the Btree or Recno database during the compaction phase.
| PagesExamined | The number of database pages reviewed during the compaction phase.
| PagesFreed | The number of database pages freed during the compaction phase.
| PagesTruncated | The number of database pages returned to the filesystem.

# See Also

CompactData Class
BerkeleyDB Namespace